%define pkg_name        Set-Array
%define pkg_version     0.14
%define rpm_pkg_version 0.14
%define rpm_pkg_release 2.n0i.7

Summary:       Arrays as objects, with set methods
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RS/RSAVAGE/%{pkg_name}-%{pkg_version}.tgz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Test::Pod)}
%{!?_without_test:BuildRequires: perl(Want)}


%description
Set::Array allows you to create arrays as objects and use OO-style methods on
them. Many convenient methods are provided here that appear in the FAQ's, the
Perl Cookbook or posts from comp.lang.perl.misc. In addition, there are Set
methods with corresponding (overloaded) operators for the purpose of Set
comparison, i.e. +, ==, etc.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.14-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Mon Apr 10 2006 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.6
- version 0.14

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.5
- version 0.13

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.4
- version 0.12

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.11-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.11-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Fri Jan 28 2005 Marius Feraru <altblue@n0i.net> 0:0.11-1.n0i.1
- version 0.11
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
